MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0023386Community[OCCT] OCCT:Modeling Algorithmspublic2012-08-17 01:272017-07-31 17:46
ReporterAaron Michalk 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformWindowsOSVC++ 2008OS Version32 bit
Product Version[OCCT] 6.5.3 
Target VersionFixed in Version[OCCT] 7.0.0 
Summary0023386: BRepAlgoAPI_Fuse on two disjoint shapes sometimes loses all geometry from one of the shapes
DescriptionSometimes BRepAlgoAPI_Fuse will correctly return a compound of two disjoint shapes that are input. The attached file contains two .brep files that when sent to BRepAlgoAPI_Fuse results in geometry equal to only the b.brep.
Steps To ReproduceBRep_Builder builder;
TopoDS_Shape a, b;
BRepTools::Read(a, std::ifstream("a.brep", builder);
BRepTools::Read(b, std::ifstream("b.brep", builder);
TopoDS_Shape c = BRepAlgoAPI_Fuse(a, b);
// c does not have any geometry from a.

TagsNo tags attached.
Test case numberbugs modalg_7 bug23386
Attached Fileszip file icon ab.zip (42,589 bytes) 2012-08-17 01:27

- Relationships

-  Notes
(0068519)
git (administrator)
2017-07-20 19:54

Branch CR23386 has been created by mkv.

SHA-1: 8b189aef7541b213aa40fb0af894b3ebd6446b67


Detailed log of new commits:

Author: mkv
Date: Thu Jul 20 19:37:28 2017 +0300

    Test for 0023386: BRepAlgoAPI_Fuse on two disjoint shapes sometimes loses all geometry from one of the shapes
(0068520)
mkv (tester)
2017-07-20 19:55

Problem described in issue is not reproduced on current state of OCCT.
(0068929)
git (administrator)
2017-07-31 17:46

Branch CR23386 has been deleted by kgv.

SHA-1: 8b189aef7541b213aa40fb0af894b3ebd6446b67

- Issue History
Date Modified Username Field Change
2012-08-17 01:27 Aaron Michalk New Issue
2012-08-17 01:27 Aaron Michalk Assigned To => jgv
2012-08-17 01:27 Aaron Michalk File Added: ab.zip
2017-07-20 19:54 git Note Added: 0068519
2017-07-20 19:55 mkv Note Added: 0068520
2017-07-20 19:55 mkv Assigned To jgv => bugmaster
2017-07-20 19:55 mkv Status new => feedback
2017-07-20 19:55 mkv Status feedback => tested
2017-07-20 19:56 mkv Test case number => bugs modalg_7 bug23386
2017-07-21 16:40 bugmaster Status tested => closed
2017-07-21 16:40 bugmaster Resolution open => fixed
2017-07-21 16:40 bugmaster Fixed in Version => 7.0.0
2017-07-31 17:46 git Note Added: 0068929


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker